import * as React from 'react';
import { Tag } from '../../../components/Tag';
import { AlertPreview } from '../../../View/Alert/Wizard/AlertNotificationWizardSection';
export const getAlertPreviewViewItems = (alert, api) => {
    return {
        name: 'Type and Display',
        view: () => {
            if (!alert?.AlertProperties?.DisplayNotification) {
                return React.createElement(Tag, null, alert.MessageType);
            }
            return (React.createElement(AlertPreview, { focusFirstButton: false, style: { maxWidth: 400 }, mt: 2, api: api, alertDefinition: alert }));
        },
    };
};
